<!DOCTYPE HTML>
<!--
	Theory by TEMPLATED
	templated.co @templatedco
	Released for free under the Creative Commons Attribution 3.0 license (templated.co/license)
-->
<html>
	<head>
		<title>Compilation</title>
		<meta charset="utf-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1" />
		<link rel="stylesheet" href="assets/css/main.css" />
		<link rel="shortcut icon" href="images/favicon.ico" type="image/x-icon">
		<link rel="icon" href="images/favicon.ico" type="image/x-icon">
	</head>
	<body class="subpage">

		<!-- Header -->
		<header id="header">
			<div class="inner">
				<a href="index.html" class="logo">Notre Jeu</a>
				<nav id="nav">
					<a href="idee.html">Idée et conception</a>
					<a href="implementation.html">Implémentation</a>
					<a href="amelioration.html">Futures améliorations</a>
					<a href="compilation.html">Compilation</a>
					<a href="jouer.html">Commment jouer</a>
				</nav>
				<a href="#navPanel" class="navPanelToggle"><span class="fa fa-bars"></span></a>
			</div>
		</header>


		<!-- Main -->
			<section id="main" class="wrapper">
				<div class="inner">
					<header class="align-center">
						<h2>Comment compiler</h2>
						<p>Toutes les informations dont vous avez besoin </p>
						<p> Lien vers le git du projet : <a href="https://gitlab.com/jordan.jouanchicot/marveltowerdefense"> Heroes Tower Defense</a> </p>
					</header>
					
				<!-- Content -->
					<h2 id="content">Versions pré-compilées Linux</h2>
					<p>Si la version de java utilisée en ligne de commande est au moins la version 13, il vous suffit d'extraire le fichier compressé fourni ici : <a href="https://drive.google.com/file/d/1xI8wry4nZwTimB2NkbGZmK2GhBjPkpxk/view?usp=sharing"> Heroes Tower Defense for Linux14</a> , <br>puis lancer la commande suivante depuis le dossier extrait : <em>./heroesTD.run </em>					</p> 
					<p>Si votre version de java est java 11, vous devez effectuer les mêmes étapes mais avec ce fichier :  <a href="https://drive.google.com/file/d/10W8zgibE6xDFx_diF9WZWi9qS9BssWF5/view?usp=sharing"> Heroes Tower Defense for Java 11 Linux</a></p>
					<br><br>

					<h2 id="content">Compilation</h2>
					<p>Ce projet a été développé à l'aide de la dernière version disponible de Java et JavaFX à l'heure actuelle, la version 14.0</p>
							<h3>Configuration </h3>
							<p> La configuration est disponible dans le Git, celle-ci a été réalisé via un IDE, IntelliJ IDEA et l'ensemble des méthodes précisé ci-dessous sont pour IntelliJ IDEA.</p>

							<br>

							<h3>Sous Ubuntu, Debian, Deepin, etc. (Non testé sur des SE basées sur Arch ou autre) :</h3>
							<ol>
								<li>Installer Java 14.0 et le configurer dans votre IDE</li>
								<li>Nous vous conseillons d'utiliser IntelliJ, si vous êtes dans ce cas, il faut editer la configuration de runtime</li>
								<li>Dans la configuration choisissez la classe : Heroes.MenuInterface.main</li>
								<li>Il est aussi nécessaire d'ajouter des options dans VM options, comme pour tout projet JavaFX, notre projet incluant la librairie, il faut insérer : --module-path
									src/javafx-sdk-14/lib --add-modules=javafx.swing,javafx.graphics,javafx.fxml,javafx.media,javafx.web </li>
								<lit>Félicitations, vous devriez être en mesure de compiler le programme.</li>
							</ol>
							<br>

							<h3>Sous Windows :</h3>
							<ol>
								<li>Installer Java 14.0 et le configurer dans votre IDE	</li>
								<li>Installer JavaFX 14	</li>
								<li>Nous vous conseillons d'utiliser IntelliJ, si vous êtes dans ce cas, il suffit d'éditer la configuration de runtime	</li>
								<li>Dans la configuration choisissez la classe : Heroes.MenuInterface.main	</li>
								<li>Il est aussi nécessaire d'ajouter des options dans VM options, il faut insérer : --module-path PATHTOjavafx14/lib --add-modules=javafx.swing,javafx.graphics,javafx.fxml,javafx.media,javafx.web </it>
								<li>Félicitations, vous devriez être en mesure de compiler le programme.</li>
							</ol>
							<br>
							<h3>Problèmes possibles : </h3>
							<p> Sous Windows, si vous avez un problème de avec le mediaPlayer utilisé pour le son à la compilation, nous vous recommandons de mettre l'intérieur des fonctions de la classe "Music" en commentaires.</p>
							<h3>Informations : </h3>
							<p> La librairie JavaFX fourni à l'intérieur du projet est la version Linux pour Java 14.0.1 (JavaFx 14.0.1).</p>

							<h5>Si vous avez une question, vous pouvez nous contacter par mail, l'ensemble de notre équipe pourra vous répondre, reyjouanch@eisti.eu.</h5>
	
			</section>

		<!-- Footer -->
		<footer id="footer">
			<div class="inner">
				<div class="flex">
					<div class="copyright">
						&copy; Heroes Tower Defense. Design with <a href="https://templated.co">TEMPLATED</a>, made by Jordan Rey-Jouanchicot.
					</div>
				</div>
			</div>
		</footer>

		<!-- Scripts -->
			<script src="assets/js/jquery.min.js"></script>
			<script src="assets/js/skel.min.js"></script>
			<script src="assets/js/util.js"></script>
			<script src="assets/js/main.js"></script>

	</body>
</html>
